PHP Manual
Prev |  | Next

# DOMElement->setAttributeNodeNS()

(no version information, might be only in CVS)

DOMElement->setAttributeNodeNS() -- Adds new attribute node to element

## Description

class DOMElement {
DOMAttr setAttributeNodeNS ( DOMAttr attr )
}

Adds new attribute node attr to element.

## Parameters

name

  The attribute node.

## Return Values

Returns the old node if the attribute has been replaced.

## Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

## See Also

DOMElement->hasAttributeNS()
DOMElement->getAttributeNodeNS()
DOMElement->removeAttributeNode()

Prev | Home | Next
DOMElement->setAttributeNode() | Up | DOMElement->setAttributeNS()